<?
include("email.php");
if (isset($_POST['email-address']) && isset($_POST['png-data']) && isset($_POST['raw-data']) && isset($_POST['send'])) {
	// print_r(json_decode($_POST['save-data']));
	
	// save PNG file
	$png = $_POST['png-data'];
	
	// save SVG file
	$data = json_decode($_POST['raw-data'], true);
	$svg = '<?xml version="1.0" encoding="UTF-8" standalone="no"?>' . "\n";
	$svg .= '<!-- Created with SketchThing (http://mccormick.cx/projects/SketchThing/) -->' . "\n";
	$svg .= '<svg xmlns="http://www.w3.org/2000/svg" version="1.1" width="' . $data["size"][0] . '" height="' . $data["size"][1] . '">' . "\n";
	$svg .= '<g id="sketch">' . "\n";
	for ($l=0; $l<count($data["lines"]); $l++) {
		$line = $data["lines"][$l];
		$svg .= "\t" . '<path style="fill:none; stroke:#000000; stroke-width:' . $data["linewidth"] . 'px; stroke-linecap:butt; stroke-linejoin:miter; stroke-opacity:1" d="M ';
		for ($p=0; $p<count($line); $p++) {
			$svg .= $line[$p][0] . "," . $line[$p][1] . ($p < count($line) - 1 ? " " : "");
		}
		$svg .= '" id="path' . $l . '" />' . "\n";
	}
	$svg .= '</g>' . "\n";
	$svg .= '</svg>';
	
	// do the actual email sending
	sendmail($_POST['email-address'], "sketchthing@mccormick.cx", "SketchThing sketch", "Find your SketchThing sketch attached in PNG, SVG, and raw JSON formats.",
		Array(
			"sketch.svg" => $svg,
			"sketch.png" => base64_decode($png),
			"sketch.json" => $_POST['raw-data']
		),
		Array()
	);
	
	$message = "Email sent to " . $_POST['email-address'];
} else {
	$message = "Bad save data.";
}
?>
<html>
<head>
	<title>SketchThing - send</title>
	<style>
		body {
			margin-left: 20%;
			margin-right: 20%;
			width: 60%;
			margin-top: 80px;
			font-family: Arial;
			font-size: 1em;
			font-weight: bold;
			color: gray;
		}
	</style>
</head>
<body>
	<?= $message ?>
	<button onclick='window.close();'>ok</button>
</body>
</html>
